Create price modifier
curl --request POST \
--url https://api.quentli.com/v1/price-modifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"value": 49999999999.5,
"isRecurring": true,
"name": "<string>",
"anchorOffsetStart": 2,
"oneOff": true,
"recurringFrequency": 2,
"maxApplications": 2,
"maxAdjustmentAmount": 499999999.5,
"compoundInterest": true,
"anchorOffsetEnd": 2,
"priority": 1
}
}
'import requests
url = "https://api.quentli.com/v1/price-modifiers"
payload = { "input": {
"value": 49999999999.5,
"isRecurring": True,
"name": "<string>",
"anchorOffsetStart": 2,
"oneOff": True,
"recurringFrequency": 2,
"maxApplications": 2,
"maxAdjustmentAmount": 499999999.5,
"compoundInterest": True,
"anchorOffsetEnd": 2,
"priority": 1
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
value: 49999999999.5,
isRecurring: true,
name: '<string>',
anchorOffsetStart: 2,
oneOff: true,
recurringFrequency: 2,
maxApplications: 2,
maxAdjustmentAmount: 499999999.5,
compoundInterest: true,
anchorOffsetEnd: 2,
priority: 1
}
})
};
fetch('https://api.quentli.com/v1/price-modifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/price-modifiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'value' => 49999999999.5,
'isRecurring' => true,
'name' => '<string>',
'anchorOffsetStart' => 2,
'oneOff' => true,
'recurringFrequency' => 2,
'maxApplications' => 2,
'maxAdjustmentAmount' => 499999999.5,
'compoundInterest' => true,
'anchorOffsetEnd' => 2,
'priority' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/price-modifiers"
payload := strings.NewReader("{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/price-modifiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/price-modifiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"priceModifier": {
"id": "prm_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"name": "Descuento por pago anticipado 10%",
"type": "EARLY_PAYMENT_DISCOUNT",
"adjustmentType": "PERCENTAGE",
"value": 10,
"timeUnit": "DAYS",
"anchorOffsetStart": 1,
"anchorOffsetEnd": 123,
"maxAdjustmentAmount": null,
"isRecurring": false,
"organizationId": "org_1234567890abcdefghij",
"compoundInterest": false,
"recurringFrequency": null,
"maxApplications": null,
"priority": 0,
"oneOff": false,
"description": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Catalog
Create price modifier
Creates an early payment discount or late payment interest rule.
POST
/
v1
/
price-modifiers
Create price modifier
curl --request POST \
--url https://api.quentli.com/v1/price-modifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"value": 49999999999.5,
"isRecurring": true,
"name": "<string>",
"anchorOffsetStart": 2,
"oneOff": true,
"recurringFrequency": 2,
"maxApplications": 2,
"maxAdjustmentAmount": 499999999.5,
"compoundInterest": true,
"anchorOffsetEnd": 2,
"priority": 1
}
}
'import requests
url = "https://api.quentli.com/v1/price-modifiers"
payload = { "input": {
"value": 49999999999.5,
"isRecurring": True,
"name": "<string>",
"anchorOffsetStart": 2,
"oneOff": True,
"recurringFrequency": 2,
"maxApplications": 2,
"maxAdjustmentAmount": 499999999.5,
"compoundInterest": True,
"anchorOffsetEnd": 2,
"priority": 1
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
value: 49999999999.5,
isRecurring: true,
name: '<string>',
anchorOffsetStart: 2,
oneOff: true,
recurringFrequency: 2,
maxApplications: 2,
maxAdjustmentAmount: 499999999.5,
compoundInterest: true,
anchorOffsetEnd: 2,
priority: 1
}
})
};
fetch('https://api.quentli.com/v1/price-modifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/price-modifiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'value' => 49999999999.5,
'isRecurring' => true,
'name' => '<string>',
'anchorOffsetStart' => 2,
'oneOff' => true,
'recurringFrequency' => 2,
'maxApplications' => 2,
'maxAdjustmentAmount' => 499999999.5,
'compoundInterest' => true,
'anchorOffsetEnd' => 2,
'priority' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/price-modifiers"
payload := strings.NewReader("{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/price-modifiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/price-modifiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"value\": 49999999999.5,\n \"isRecurring\": true,\n \"name\": \"<string>\",\n \"anchorOffsetStart\": 2,\n \"oneOff\": true,\n \"recurringFrequency\": 2,\n \"maxApplications\": 2,\n \"maxAdjustmentAmount\": 499999999.5,\n \"compoundInterest\": true,\n \"anchorOffsetEnd\": 2,\n \"priority\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"priceModifier": {
"id": "prm_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"name": "Descuento por pago anticipado 10%",
"type": "EARLY_PAYMENT_DISCOUNT",
"adjustmentType": "PERCENTAGE",
"value": 10,
"timeUnit": "DAYS",
"anchorOffsetStart": 1,
"anchorOffsetEnd": 123,
"maxAdjustmentAmount": null,
"isRecurring": false,
"organizationId": "org_1234567890abcdefghij",
"compoundInterest": false,
"recurringFrequency": null,
"maxApplications": null,
"priority": 0,
"oneOff": false,
"description": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Body
application/json
Was this page helpful?